Index: apps/app_directed_pickup.c
===================================================================
--- apps/app_directed_pickup.c	(revision 19463)
+++ apps/app_directed_pickup.c	(working copy)
@@ -40,6 +40,7 @@
 #include "asterisk/lock.h"
 #include "asterisk/app.h"
 #include "asterisk/features.h"
+#include "asterisk/manager.h"
 
 #define PICKUPMARK "PICKUPMARK"
 
@@ -109,6 +110,9 @@
 		return -1;
 	}
 
+	manager_event(EVENT_FLAG_CALL, "Pickup", "Channel: %s\r\nUniqueID: %s\r\nTargetChannel: %s\r\nTargetUniqueID: %s\r\n", 
+		chan->name, chan->uniqueid, target->name, target->uniqueid);
+
 	return res;
 }
 
Index: main/features.c
===================================================================
--- main/features.c	(revision 19463)
+++ main/features.c	(working copy)
@@ -4469,6 +4469,8 @@
 		if (!ast_strlen_zero(pickupsound)) {
 			ast_stream_and_wait(cur, pickupsound, "");
 		}
+		 manager_event(EVENT_FLAG_CALL, "Pickup", "Channel: %s\r\nUniqueID: %s\r\nTargetChannel: %s\r\nTargetUniqueID: %s\r\n",            
+			chan->name, chan->uniqueid, cur->name, cur->uniqueid);
 		ast_channel_unlock(cur);
 		return res;
 	} else	{
